Results 1 to 5 of 5

Thread: virtualbox can't start, vboxdrv not loaded

  1. #1
    Join Date
    Jan 2009
    Location
    Nederland
    Posts
    36

    Default virtualbox can't start, vboxdrv not loaded

    Hello list,

    Recently I had updated the kernel but afterwards I can't run virtualbox because the kernel modules aren't loaded.

    Virtual box: 3.1.4 r57640 OpenSuse110-x86_64
    Open Suse 11.0 running kernel-default-2.6.25.20-0.7

    When I try to start vboxdrv manually I can find the message:
    kernel: warning: `VirtualBox' uses deprecated v2 capabilities in a way that may be insecure.

    After I installed the older kernel-default-2.6.25.20-0.6 version I can start virtualbox.

    But, much to my suprise, I also get this message with this kernel level. But still, the kerneldrivers are loaded and I can run virtualbox.

    Any advise on this?

    Regards, Berry.

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: virtualbox can't start, vboxdrv not loaded

    It seems to be a warning only and something only the virtualbox devs can fix.

    LKML: Chris Wright: [patch 49/50] capabilities: remain source compatible with 32-bit raw legacy capability support.

  3. #3
    Join Date
    Jan 2009
    Location
    Nederland
    Posts
    36

    Default Re: virtualbox can't start, vboxdrv not loaded

    I also found that it should be a warning only.

    Digging a bit deeper i found some more. The 07 kernel level was installed even before the last time i ran vbox. So this level in itself is not the problem. Even more so, the vboxdrv was loaded and did not issue any warning message. Now i just upgraded to 07 again. And once again, the vboxdrv will not load.

    I went back to the last time i successfully ran virtual box. According to y2log, during the last month i have installed:
    - seamonkey-2.0.3-6.1.x86_64.rpm
    - seamonkey-translations-common-2.0.3-6.1.x86_64.rpm
    - java-1_6_0-sun-devel-1.6.0.u18-0.1.x86_64.rpm
    - kernel-default-2.6.25.20-0.6.x86_64.rpm.

    I can't say for sure if there were some config changes made between the last time i ran virtual box. But if so, what would cause vboxdrv to refuse to load?

  4. #4
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: virtualbox can't start, vboxdrv not loaded

    If you are using the OSE version the vbox package version has to match the kernel. I don't know how much lag there is before the openSUSE vbox packagers catch up.

    If you are using the PUEL version, you can rebuild the driver yourself when the kernel is upgraded, but you need to have a bunch of other things installed, among them kernel-sources, gcc, pam-devel and I forget what else. Anyway there's another thread on this with links to the relevant howtos to install the PUEL version.

  5. #5
    Join Date
    Jan 2009
    Location
    Nederland
    Posts
    36

    Default Re: virtualbox can't start, vboxdrv not loaded

    I have the PUEL version 3.1.6. The OSE version is at 1.5.

    I have recompiled the module as found on the list. That worked, it's running now.

    Thanks for your help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •